# Propnet

Propnet is a knowledge graph for materials science. Given a set of *properties* about a given material, it can try to derive additional properties of that material using *models*. It is intended to integrate closely with the [Materials Project](http://materialsproject.org) and its large database of materials properties. However, it is designed to be agnostic to the data source, with support for other open-source databases planned.

Propnet can also be used as a library, each model can be imported and used directly in your own code, giving you tested, unit-aware implementations of common materials science models.

See [propnet.lbl.gov](https://propnet.lbl.gov) for a web app based on the package.

For usage information, it is currently best to view our example Binder notebook, linked below. We do have a documentation website under construction at [propnet.readthedocs.io](https://propnet.readthedocs.io).

[![Codacy Badge](https://api.codacy.com/project/badge/Grade/0803e3ca599a4250bb3ec2bb16b4b911)](https://www.codacy.com/app/mkhorton/propnet?utm_source=github.com&utm_medium=referral&utm_content=materialsintelligence/propnet&utm_campaign=badger) [![Documentation Status](https://readthedocs.org/projects/propnet/badge/?version=latest)](https://propnet.readthedocs.io/en/latest/?badge=latest) [![Build Status](https://travis-ci.org/materialsintelligence/propnet.svg?branch=master)](https://travis-ci.org/materialsintelligence/propnet) [![Coverage Status](https://coveralls.io/repos/github/materialsintelligence/propnet/badge.svg?branch=master)](https://coveralls.io/github/materialsintelligence/propnet?branch=master) [![Binder](https://mybinder.org/badge.svg)](https://mybinder.org/v2/gh/materialsintelligence/propnet/master?filepath=demo%2FGetting%20Started.ipynb)

**This is not ready for public use yet, please wait for a formal release announcement/publication! Thank you.** Any questions should be directed to the project lead @computron or, in the case of code, to the individual project contributors.

# Acknowledgements

Hat tip to @jdagdelen for the Propnet name. This project is funded by [Toyota Research Institute](https://tri.global/research).
